#ifndef _Xlu_actions_h_
#define _Xlu_actions_h_

#include "defs.h"
#include "layout.h"
/* #include "objects.h" */
#include "windows.h"

#define MAXACTIONS 1024

typedef struct _translation
{
  actionType type;
  outputMode mode;

  XtPointer param;
  String trans_name;
  
  Cardinal template1_id;
  Cardinal template2_id;

  struct _translation *next;
} translation, *translationList;

#define trans_alloc() (translationList) XtMalloc(sizeof(translation))
#define NULLTransList (translationList) NULL


typedef struct _object_action
{
  String action_name;
  translationList to_do;
} object_action, *objectAction;

#define action_alloc() (objectAction) XtMalloc(sizeof(object_action))
#define NULLAction (objectAction) NULL

/***************************************************
 *
 * Global functions.
 *
 */

void initContexts();
void initPrimAction();
Widget findOutputObject();
void doPrimitiveSensitivity();
actionID getActionByName();

#endif /* _Xlu_actions_h_ */

